Subject: bug#69220: [PATCH] smerge-mode: add a function to resolve all conflicts in a file

From: Stefan Monnier <[email-masked]>
Date: Tue, 20 Feb 2024 08:53:48 -0500

>> Sorry, I'm not following 😅 The closest thing I see is you want
>> a prefix to each of smerge-keep-(upper/base/lower) commands to be
>> added, so that pressing a `C-u 0 smerge-keep-upper` would call the
>> command for each conflict in the buffer. But that seems both less
>> discoverable and more code to implement. But maybe I understood
>> you wrong.

No, `C-u` `universal-argument` is a prefix command and it's the most
common *but* not the only one.  There's also `C-x RET c`
(`universal-coding-system-argument`), for instance, or `C-x 4 4`
(`other-window-prefix`) and `C-x 5 5` (`other-frame-prefix`).
I'm suggesting we define a new such prefix command.

> Aaah, I think I get it. You want a command that would iterate through
> conflicts and ask a user which solution side to apply?

But it asks only once.

        Stefan